@echo OFF
REM UpdateSet.cmd
REM Copyright IBM Corp.(c) 2005
REM 		mjuarez@us.ibm.com
REM Updates a set of files configured in FILESET
REM Parameters: BACKUP_LOCATION, DESTINATION
setlocal
set FILESET=%~1
set FILESET_NAME=%~n1
set BACKUP_LOCATION=%~2
set DESTINATION=%~3

IF "%FILESET%"=="" GOTO USAGE
IF "%BACKUP_LOCATION%"=="" GOTO USAGE
IF "%DESTINATION%"=="" GOTO USAGE

REM echo UpdateSet Processing: %FILESET%  Backup Location: %BACKUP_LOCATION% Destination: %DESTINATION%
IF EXIST "%DESTINATION%\updates\%FILESET_NAME%" GOTO ERROR_ALREADY_INSTALLED

IF not EXIST "%DESTINATION%\updates" mkdir "%DESTINATION%\updates"
copy %FILESET% "%DESTINATION%\updates\%FILESET_NAME%"

for /F "usebackq" %%d IN (`date /T`) DO @SET LOGFILE=%BASEDIR%\UPDATE_%%d.log

for /F "eol=#" %%f IN (%FILESET%) DO @call UPDATE.config\UpdateFile "%%f" "%BACKUP%" "%BASEDIR%" >> "%LOGFILE%"

goto FIN

:ERROR_ALREADY_INSTALLED
cls
echo.
echo ERROR. The update corresponding to the set: %FILESET% is already installed.
echo Backup Location is: %BACKUP%
echo File Set          : %DESTINATION%\updates\%FILESET_NAME%
echo.
echo. 
echo The Command Prompt session will now exit. 
echo Ctrl-C to Cancel or
Pause
exit
goto FIN

:USAGE
echo Usage: UpdateSet ^<FILE^> ^<BACKUP_LOCATION^> ^<DESTINATION^>
goto FIN

:FIN

